Bug 636156 - RFE: security: restore original file label/owner
Summary: RFE: security: restore original file label/owner
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
: 1120544 (view as bug list)
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs libvirtTodoSecurity
TreeView+ depends on / blocked
 
Reported: 2010-09-21 15:14 UTC by Daniel Berrangé
Modified: 2020-04-15 13:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-15 13:42:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 547546 None None None Never

Internal Links: 547546

Description Daniel Berrangé 2010-09-21 15:14:57 UTC
Description of problem:
Change the QEMU DAC security driver so that it uses POSIX ACLs on files instead of changing their UID/GID.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Cole Robinson 2016-04-10 19:06:05 UTC
*** Bug 1120544 has been marked as a duplicate of this bug. ***

Comment 3 Daniel Berrangé 2020-04-15 13:42:22 UTC
Current versions of libvirt use XATTR to remember ownership and restore it


Note You need to log in before you can comment on or make changes to this bug.